Subject: Re: [bug#78689] Merging of "nss-updates"

From: Efraim Flashner <[email-masked]>
Date: Tue, 12 Aug 2025 14:46:30 +0300

On Tue, Aug 12, 2025 at 09:21:02AM +0200, Andreas Enge wrote:
> Go-team has been merged last night. I have just rebased on commit
> 5e4ef038eb3eac660c2d4680446d3dbc09dac9ad from master, and now we
> (hopefully) just have to wait until everything builds out.
> 
> Andreas

I found [email-masked] failed in the 'check phase for i686-linux. It looks
like there's an extra round of parenthesis around the substitute* for
the (unless #$(target-64bit?)
      ((substitute* ...

I wasn't able to quickly find a way to remove the extra parenthesis
without also causing a rebuild on x86_64.

I'm not sold on changing from (if ...) to (when ...) and (unless ...),
part of what we gain from using `if` is only the `true` branch is
evaluated, rather than everything, allowing us to make changes that can
affect fewer targets.

```
phase `build' succeeded after 61.2 seconds
starting phase `check'
error: in phase 'check': uncaught exception:
wrong-type-arg #f "Wrong type to apply: ~S" (#t) (#t)
phase `check' failed after 0.0 seconds
Backtrace:
           9 (primitive-load "/gnu/store/qlhwga99vbgl8rbci2k764hvc9f…")
In guix/build/gnu-build-system.scm:
    972:2  8 (gnu-build #:source _ #:outputs _ #:inputs _ #:phases . #)
In ice-9/boot-9.scm:
  1752:10  7 (with-exception-handler _ _ #:unwind? _ # _)
In srfi/srfi-1.scm:
    634:9  6 (for-each #<procedure 1f2070 at guix/build/gnu-build-s…> …)
In ice-9/boot-9.scm:
  1752:10  5 (with-exception-handler _ _ #:unwind? _ # _)
In guix/build/gnu-build-system.scm:
   993:23  4 (_)
In ice-9/eval.scm:
    619:8  3 (_ #(#(#<directory (guile-user) e6690>) #t))
    619:8  2 (_ _)
In ice-9/boot-9.scm:
  1685:16  1 (raise-exception _ #:continuable? _)
  1685:16  0 (raise-exception _ #:continuable? _)

ice-9/boot-9.scm:1685:16: In procedure raise-exception:
Wrong type to apply: #t
build process 18 exited with status 256
builder for `/gnu/store/46rjxw865z0g2h25h8rdy78qg29dxn24-nss-3.101.4.drv' failed with exit code 1
@ build-failed /gnu/store/46rjxw865z0g2h25h8rdy78qg29dxn24-nss-3.101.4.drv - 1 builder for `/gnu/store/46rjxw865z0g2h25h8rdy78qg29dxn24-nss-3.101.4.drv' failed with exit code 1
derivation '/gnu/store/46rjxw865z0g2h25h8rdy78qg29dxn24-nss-3.101.4.drv' offloaded to '141.80.167.178' failed: build of `/gnu/store/46rjxw865z0g2h25h8rdy78qg29dxn24-nss-3.101.4.drv' failed
build of /gnu/store/46rjxw865z0g2h25h8rdy78qg29dxn24-nss-3.101.4.drv failed
```

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted